import ktc
import onnx
import torch
import torch.onnx

import numpy as np, os, sys, re, json

# Load model
exported_m = onnx.load('yolox_s.onnx')

# Optimize the exported onnx object
result_m = ktc.onnx_optimizer.torch_exported_onnx_flow(exported_m)

optimized_m = ktc.onnx_optimizer.onnx2onnx_flow(result_m, eliminate_tail=True)

onnx.save(optimized_m, 'yolox_cvt.onnx')

km = ktc.ModelConfig(51200, "0001", "730", onnx_model=optimized_m)
eval_result = km.evaluate()
print("\nNpu performance evaluation result:\n" + str(eval_result))
